Master Data
Update Style
Update a style. Staff/Administrator only.
PATCH
/
styles
/
{style_id}
Update Style
curl --request PATCH \
--url https://vinmake-erp.onrender.com/styles/{style_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>",
"name": "<string>",
"clientId": "<string>",
"refId": "<string>",
"merchandiser": "<string>",
"picture": "<string>",
"description": "<string>",
"skus": [
{
"documentId": "<string>",
"color": "<string>",
"size": "<string>"
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/styles/{style_id}"
payload = {
"documentId": "<string>",
"name": "<string>",
"clientId": "<string>",
"refId": "<string>",
"merchandiser": "<string>",
"picture": "<string>",
"description": "<string>",
"skus": [
{
"documentId": "<string>",
"color": "<string>",
"size": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentId: '<string>',
name: '<string>',
clientId: '<string>',
refId: '<string>',
merchandiser: '<string>',
picture: '<string>',
description: '<string>',
skus: [{documentId: '<string>', color: '<string>', size: '<string>'}]
})
};
fetch('https://vinmake-erp.onrender.com/styles/{style_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"clientId": "<string>",
"refId": "<string>",
"description": "<string>",
"name": "<string>",
"clientName": "<string>",
"merchandiser": "<string>",
"picture": "<string>",
"skus": [
{
"id": "<string>",
"documentId": "<string>",
"masterStyleId": "<string>",
"color": "<string>",
"size": "<string>"
}
],
"rfqs": [
{
"id": "<string>",
"client": "<string>",
"status": "<string>",
"requestedDate": "<string>",
"responseDue": "<string>",
"quotedPrice": 0
}
],
"costSheets": [
{
"id": "<string>",
"version": 123,
"currency": "<string>",
"materialCost": 123,
"processingCost": 123,
"totalCost": 123,
"status": "<string>"
}
],
"boms": [
{
"id": "<string>",
"version": 123,
"materialName": "<string>",
"type": "<string>",
"consumption": 123,
"unitCost": 123,
"totalCost": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
Successful Response
Schema for style response - uses camelCase per API_STANDARDS
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update Style
